<?php
/**
 * phpNSTA
 *
 * This file is part of the phpNSTA
 *
 * @license http://www.gnu.de/documents/gpl-2.0.de.html
 * @copyright 2013 - 2016
 */


/**
 * Stellt eine Schnittstelle zwischen dem phpNSTA und openITCOCKPIT Version 2.x.x zur Verfügung
 **/

require_once "static.class.config.php";

/**
 * Function: phpNSTA_get_API_Key
 *
 * Liefert den API-Key aus der config.php des phpNSTA zurück
 *
 * @return string API-Key des phpNSTA für die CMD-Datei
 * @author Daniel Ziegler <daniel.ziegler@it-novum.com>
 * @since 1.0
 *
 */
function phpNSTA_get_API_Key(){
	return Config::val('API', 'api_key');
}

/**
 * Function: phpNSTA_export_started
 *
 * Teilt dem phpNSTA über die API mit, das ein Export gestartet wurde
 *
 * @return void
 * @author Daniel Ziegler <daniel.ziegler@it-novum.com>
 * @since 1.0
 *
 */
function phpNSTA_export_started(){
	if(file_exists(Config::val('MAIN', 'pid_file'))){
		$f = fopen(Config::val('API', 'cmd_file'), 'w+');
		fwrite($f, time().';export_started;'.Config::val('API', 'api_key'));
		fclose($f);
	}
}

/**
 * Function: phpNSTA_export_finished
 *
 * Teilt dem phpNSTA über die API mit, das der Export beendet wurde
 *
 * @return void
 * @author Daniel Ziegler <daniel.ziegler@it-novum.com>
 * @since 1.0
 *
 */
function phpNSTA_export_finished(){
	if(file_exists(Config::val('MAIN', 'pid_file'))){
		$f = fopen(Config::val('API', 'cmd_file'), 'w+');
		fwrite($f, time().';export_finished;'.Config::val('API', 'api_key'));
		fclose($f);
	}
}

/**
 * Function: phpNSTA_is_running
 *
 * Prüft, ob der phpNSTA gerade läuft oder nicht
 *
 * @return bool  True wenn der phpNSTA läuft, false wenn nicht
 * @author Daniel Ziegler <daniel.ziegler@it-novum.com>
 * @since 1.0
 *
 */
function phpNSTA_is_running(){
	if(file_exists(Config::val('MAIN', 'pid_file'))){
		return true;
	}
	return false;
}
?>