#!/usr/bin/env php
<?php
require_once __DIR__."/../core.php";

$CLI = new CLI();

$failcount = 30;

if(file_exists(Config::val('MAIN', 'pid_file'))){
    $pid = file(Config::val('MAIN', 'pid_file'));
    if(isset($pid[0]) && is_numeric($pid[0])){
        $pid = $pid[0];
        if(posix_kill($pid, 0) === false){
            $CLI->_echo("ERROR: No process with pid ".$pid." running", 'red');
            $CLI->_echo("Try /etc/init.d/phpNSTA forceStop", 'light_blue');
            exit(0);
        }
    }
}

if(file_exists(Config::val('API', 'cmd_file'))){
    $file = fopen(Config::val('API', 'cmd_file'), 'a+');
    fwrite($file, time().';exit;'.Config::val('API', 'api_key'));
    fclose($file);
    $i = 0;
    while(file_exists(Config::val('MAIN', 'pid_file')) && $i <= $failcount){
        $i++;
        $CLI->_echo("\r".'Waiting for phpNSTA is completed ('.$i.'/'.$failcount.')', 'light_purple', false);
        sleep(3);
    }
    $CLI->_echo("");

    if($i <= $failcount){
         $CLI->_echo("phpNSTA exited succesfully", 'green');
         exit(0);
    }else{
         $CLI->_echo("ERROR: phpNSTA exit timeout!", 'red');
         exit(1);
    }

}else{
    $CLI->_echo("ERROR: phpNSTA API not available", 'red');
    exit(1);
}

